PHP Manual
Prev |  | Next

# Phar::mapPhar

(no version information, might be only in CVS)

Phar::mapPhar -- Reads the currently executed file (a phar) and registers its manifest

## Description

bool Phar::mapPhar ( [string alias] )

This static method can only be used inside a Phar archive's loader stub in order to initialize the phar when it is directly executed, or when it is included in another script.

## Parameters

`alias`

  The alias with which this phar should be referred to.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Errors/Exceptions

PharException is thrown if not called directly within PHP execution, if no __HALT_COMPILER(); token is found in the current source file, or if the file cannot be opened for reading.

## Examples

Example 1. A Phar::mapPhar() example

mapPhar should be used only inside a phar's loader stub. Use loadPhar to load an external phar into memory.

Here is a sample Phar loader stub that uses mapPhar.

`<?php function __autoload($class) { include 'phar://me.phar/' . str_replace('_', '/', $class) . '.php'; } try { Phar::mapPhar('me.phar'); include 'phar://me.phar/startup.php'; } catch (PharException $e) { echo $e->getMessage(); die('Cannot initialize Phar'); } __HALT_COMPILER();`

## See Also

Phar::loadPhar()

Prev | Home | Next
Phar::loadPhar | Up | Phar::offsetExists